Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::OneBodyDerivInt Class Reference

OneBodyInt is an abstract base class for objects that compute one body derivative integrals. More...

`#include <obint.h>`

Inheritance diagram for sc::OneBodyDerivInt:

[legend]
Collaboration diagram for sc::OneBodyDerivInt:

[legend]
List of all members.

## Public Methods

| OneBodyDerivInt (Integral *, const Ref< GaussianBasisSet > &b)
| OneBodyDerivInt (Integral *, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2)
virtual | ~OneBodyDerivInt ()
int | nbasis () const
| Return the number of basis functions on center one.
int | nshell () const
| Return the number of shells on center one.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
const double * | buffer () const
| The computed shell integrals will be put in the buffer returned by this member.
int | nbasis1 () const
int | nbasis2 () const
int | nshell1 () const
int | nshell2 () const
Ref< GaussianBasisSet > | basis1 ()
Ref< GaussianBasisSet > | basis2 ()
virtual void | compute_shell (int ish, int jsh, DerivCenters &)=0
virtual void | compute_shell (int ish, int jsh, int center)=0

## Protected Attributes

Integral * | integral_
Ref< GaussianBasisSet > | bs1
Ref< GaussianBasisSet > | bs2
double * | buffer_

## Detailed Description

OneBodyInt is an abstract base class for objects that compute one body derivative integrals.

The documentation for this class was generated from the following file:

- basis/obint.h